SesameParameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wscreation.sesame
Class SesameParameters

    java.lang.Object
      com.wscreation.sesame.SesameParameters

    public class SesameParameters

extends java.lang.Object

Field Summary
`private java.lang.String` | `login`
`private java.lang.String` | `mappingPath`
`private java.lang.String` | `password`
`private java.lang.String` | `repoID`
`private java.lang.String` | `repoTitle`
`private java.lang.String` | `serveurURL`

Constructor Summary
`SesameParameters(java.lang.String repoID, java.lang.String serveurURL, java.lang.String repoTitle, java.lang.String mappingPath, java.lang.String login, java.lang.String password)`

Method Summary
`java.lang.String` | `getLogin()`
`java.lang.String` | `getMappingPath()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getRepoID()`
`java.lang.String` | `getRepoTitle()`
`java.lang.String` | `getServeurURL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repoID

    private java.lang.String repoID

### serveurURL

    private java.lang.String serveurURL

### repoTitle

    private java.lang.String repoTitle

### mappingPath

    private java.lang.String mappingPath

### password

    private java.lang.String password

### login

    private java.lang.String login

Constructor Detail

### SesameParameters

    public SesameParameters(java.lang.String repoID,
                            java.lang.String serveurURL,
                            java.lang.String repoTitle,
                            java.lang.String mappingPath,
                            java.lang.String login,
                            java.lang.String password)

Method Detail

### getRepoID

    public java.lang.String getRepoID()

### getServeurURL

    public java.lang.String getServeurURL()

### getRepoTitle

    public java.lang.String getRepoTitle()

### getMappingPath

    public java.lang.String getMappingPath()

### getLogin

    public java.lang.String getLogin()

### getPassword

    public java.lang.String getPassword()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD